l
<template>
  <div>
    <el-row>
      <el-col>
        <el-tabs v-model.trim="activeName" @tab-click="handleClick">
          <el-tab-pane
            label="厂家分类评价"
            name="first"
            :style="'height:' + vh + ';'"
          >
            <Typeclassification v-if="activeName=='first'" :fa-msg="searchType"></Typeclassification>
          </el-tab-pane>

          <el-tab-pane
            label="型号分类评价"
            name="second"
            :style="'height:' + vh + ';'"
          >
          <Modelclassification v-if="activeName=='second'" :fa-msg="searchType"></Modelclassification>
          </el-tab-pane>

          <el-tab-pane
            label="单位分类评价"
            name="third"
            :style="'height:' + vh + ';'"
          >
          <Qualityevaluation v-if="activeName=='third'" :fa-msg="searchType"></Qualityevaluation>
          </el-tab-pane>
        </el-tabs>
      </el-col>
    </el-row>
  </div>
</template>
<script>
import Typeclassification from "./statistics/Typeclassification.vue";
import Modelclassification from "./statistics/Modelclassification.vue";
import Qualityevaluation from "./statistics/Qualityevaluation.vue";
export default {
  components: { Typeclassification, Modelclassification, Qualityevaluation },

  data() {
    return {
      vh: "",
      activeName: "first",
      device: "",
      searchType:['first'],
    };
  },
  created() {},
  mounted() {
  
    this.setHeight()
        window.addEventListener('resize', this.setHeight)
    },
    beforeDestroy() {
        window.removeEventListener('resize', this.setHeight)
    },
    methods: {
        setHeight() {
          this.device = window.devicePixelRatio;
    this.vh = window.sessionStorage.getItem('appheight') - 150 + "px";
     
        },
    handleClick(tab, event) {
    this.searchType=[tab.name]
    },
  },
};
</script>
<style lang="less" scoped>
@import url("../../../../styles/comStyle.less");

</style>
